spring:
  data:
    mongodb:
      uri: mongodb://salary:4cglUWao7F9Y9QB0@172.20.0.160:27017/test
  profiles:
    active: dev
  application:
    name: tenant-api
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://49.4.21.141:30666/test_salary?characterEncoding=UTF-8&serverTimezone=GMT&useSSL=false&allowPublicKeyRetrieval=true
    username: TL5_enterprise
    password: Bcx#20221024
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    properties:
      hibernate:
        enable_lazy_load_no_trans: true
  rabbitmq:
    host: 49.4.26.74
    port: 5673
  task:
    execution:
      pool:
        max-size: 500
        core-size: 10
        queue-capacity: 1000
  main:
    allow-bean-definition-overriding: true
dubbo:
  application:
    name: dubbo-tenant-api
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
  protocol:
    name: dubbo
    port: -1
    token: true
  config-center:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
v5:
  business:
    organization:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://127.0.0.1:3306/salary?characterEncoding=UTF-8&serverTimezone=GMT&useSSL=false&allowPublicKeyRetrieval=true
      username: root
      password: 123456

logging:
  level:
    org.springframework.data.mongodb.core: debug

mybatis-plus:
  mapper-locations: classpath:/mapper/*.xml
  configuration:         
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: true
